function events.tick()
  models.player_model.Player.HEAD.Bloodied:setPrimaryTexture("Custom", textures["player_model.defaultBlank"])
  models.player_model.Player.BODY.Bloodied:setPrimaryTexture("Custom", textures["player_model.defaultBlank"])
  models.player_model.Player.RIGHT_ARM.Bloodied:setPrimaryTexture("Custom", textures["player_model.defaultBlank"])
  models.player_model.Player.LEFT_ARM.Bloodied:setPrimaryTexture("Custom", textures["player_model.defaultBlank"])
  models.player_model.Player.RIGHT_LEG.Bloodied:setPrimaryTexture("Custom", textures["player_model.defaultBlank"])
  models.player_model.Player.LEFT_LEG.Bloodied:setPrimaryTexture("Custom", textures["player_model.defaultBlank"])
  if player:getHealth() <19 then
    models.player_model.Player.LEFT_ARM.Bloodied:setPrimaryTexture("Custom", textures["player_model.bloodied"])
    if player:getHealth() <16 then
      models.player_model.Player.RIGHT_ARM.Bloodied:setPrimaryTexture("Custom", textures["player_model.bloodied"])
      if player:getHealth() <12 then
        models.player_model.Player.RIGHT_LEG.Bloodied:setPrimaryTexture("Custom", textures["player_model.bloodied"])
        models.player_model.Player.LEFT_LEG.Bloodied:setPrimaryTexture("Custom", textures["player_model.bloodied"])
        if player:getHealth() <8 then
          models.player_model.Player.HEAD.Bloodied:setPrimaryTexture("Custom", textures["player_model.bloodied"])
          if player:getHealth() <3 then
            models.player_model.Player.BODY.Bloodied:setPrimaryTexture("Custom", textures["player_model.bloodied"])
          end
        end
      end
    end
  end
end